IM_LINE(3)

NAME
im_line - writes a line on a vasari image

SYNOPSIS
#include <vips/vips.h> int im_line(image, x1, y1, x2, y2, pelval)
IMAGE *image;
int x1, x2, y1, y2, pelval;

DESCRIPTION
im_line() draws a line in the image held by image. The start of the line is at point (x1,y1) and the end is at (x2,y2). The intensity of the drawn line is pelval. Input image should be one byte unsigned char. The function overwrites any data in the file, so take care when applying it. This function is here for compatibility only. You should use im_fastline(3) or im_fastlineuser(3).

RETURN VALUE
The function returns 0 on success and -1 on error.

SEE ALSO
im_grey(3), im_fastline(3).

COPYRIGHT
N. Dessipris

AUTHOR
N. Dessipris - 10/05/1991